org.eclipse.microprofile.reactive.messaging.tck.channel

## Class MyMessageBean<T>

- java.lang.Object
- - org.eclipse.microprofile.reactive.messaging.tck.channel.MyMessageBean<T>

All Implemented Interfaces:
  Message<T>

    public class MyMessageBean<T>
    extends Object
    implements Message<T>

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.reactive.messaging.Message

`ack, getAck, getNack, nack, of, of, of, unwrap, withAck, withNack, withPayload`

### Method Detail

#### getPayload

    public T getPayload()

Specified by:
  `getPayload` in interface `Message<T>`